# Interface NodeListener

public interface NodeListener
A Listener for Events on zookeeper nodes

## Method Summary

Modifier and Type
Method
Description
`void`
`processEvent(String nodePath, String eventType, Map<String,String> eventInfo)`

## Method Details

### processEvent

void processEvent(String nodePath, String eventType, Map<String,String> eventInfo)

Parameters:
  `nodePath` - - the path of the node
  `eventType` - - the event type
  `eventInfo` - - a `Map` containing any other information about this event